org.apache.avro.mapred.tether

## Interface OutputProtocol

- All Known Subinterfaces:
    OutputProtocol.Callback

      public interface OutputProtocol

  Transmit outputs from a map or reduce task to parent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OutputProtocol.Callback` Transmit outputs from a map or reduce task to parent.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Protocol` | `PROTOCOL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete()` Called when a task's output has completed without error.
    `void` | `configure(int port)` Configure task.
    `void` | `count(String group, String name, long amount)` Increment a task/job counter.
    `void` | `fail(String message)` Called by a failing task to abort.
    `void` | `output(ByteBuffer datum)` Send an output datum.
    `void` | `outputPartitioned(int partition, ByteBuffer datum)` Send map output datum explicitly naming its partition.
    `void` | `status(String message)` Update the task's status message.

- - ### Field Detail

    - #### PROTOCOL

          static final Protocol PROTOCOL

  - ### Method Detail

    - #### configure

          void configure(int port)

      Configure task. Sent before any other message.
      Parameters:
        `port` - The port to transmit inputs to this task on.

    - #### output

          void output(ByteBuffer datum)

      Send an output datum.
      Parameters:
        `datum` - A binary-encoded instance of the declared schema.

    - #### outputPartitioned

          void outputPartitioned(int partition,
                                 ByteBuffer datum)

      Send map output datum explicitly naming its partition.
      Parameters:
        `partition` - The map output partition for this datum.
        `datum` - A binary-encoded instance of the declared schema.

    - #### status

          void status(String message)

      Update the task's status message. Also acts as keepalive.
      Parameters:
        `message` - The new status message for the task.

    - #### count

          void count(String group,
                     String name,
                     long amount)

      Increment a task/job counter.
      Parameters:
        `group` - The name of the counter group.
        `name` - The name of the counter to increment.
        `amount` - The amount to incrment the counter.

    - #### fail

          void fail(String message)

      Called by a failing task to abort.
      Parameters:
        `message` - The new status message for the task.

    - #### complete

          void complete()

      Called when a task's output has completed without error.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.